'use strict';

var _inherits = require('babel-runtime/helpers/inherits')['default'];

var _classCallCheck = require('babel-runtime/helpers/class-call-check')['default'];

var _interopRequireWildcard = require('babel-runtime/helpers/interop-require-wildcard')['default'];

exports.__esModule = true;

var _Atom2 = require('./base');

var _Atom3 = _interopRequireWildcard(_Atom2);

var Alternative = (function (_Atom) {
  function Alternative(atoms) {
    _classCallCheck(this, Alternative);

    _Atom.call(this);
    this._atoms = atoms;
  }

  _inherits(Alternative, _Atom);

  Alternative.prototype.run = function run(stream, index) {
    var result = undefined;

    for (var i = 0; i < this._atoms.length; i++) {
      result = this._atoms[i].run(stream, index).aggregate(result);

      if (result.status) {
        return result;
      }
    }

    return result;
  };

  return Alternative;
})(_Atom3['default']);

exports['default'] = Alternative;
module.exports = exports['default'];