'use strict';

var _interopRequireWildcard = require('babel-runtime/helpers/interop-require-wildcard')['default'];

exports.__esModule = true;

var _Named = require('./named');

var _Named2 = _interopRequireWildcard(_Named);

var _Repetition = require('./repetition');

var _Repetition2 = _interopRequireWildcard(_Repetition);

exports['default'] = {
  as: function as(name) {
    return new _Named2['default'](this, name);
  },

  repeat: function repeat() {
    var min = arguments[0] === undefined ? 0 : arguments[0];
    var max = arguments[1] === undefined ? Infinity : arguments[1];

    return new _Repetition2['default'](this, min, max);
  },

  maybe: function maybe() {
    return new _Repetition2['default'](this, 0, 1, 'maybe');
  },

  many: function many() {
    return this.repeat(0, Infinity);
  },

  times: function times(n) {
    return this.repeat(n, n);
  } };
module.exports = exports['default'];