"use strict";

var _classCallCheck = require("babel-runtime/helpers/class-call-check")["default"];

exports.__esModule = true;
exports.resolve = resolve;
exports.reject = reject;

var Result = (function () {
  function Result(status, index, value, depth, expected) {
    _classCallCheck(this, Result);

    this.status = status;
    this.index = index;
    this.value = value;
    this.depth = depth;
    this.expected = expected;
  }

  Result.prototype.aggregate = function aggregate(other) {
    if (other == null || this.depth >= other.depth) {
      return this;
    }

    return new Result(this.status, this.index, this.value, other.depth, other.expected);
  };

  return Result;
})();

exports.Result = Result;

function resolve(index, value) {
  return new Result(true, index, value, -1, null);
}

function reject(index, expected) {
  return new Result(false, -1, null, index, expected);
}