"use strict";

exports.__esModule = true;
var isArray = function isArray(x) {
  return Array.isArray(x);
};
exports.isArray = isArray;
var isObject = function isObject(x) {
  return x != null && x.constructor === Object;
};
exports.isObject = isObject;
var isString = function isString(x) {
  return x != null && x.constructor === String;
};

exports.isString = isString;
var mapValues = function mapValues(object, iteratee, thisArg) {
  var result = {};
  for (var key in object) {
    result[key] = iteratee.call(thisArg, object[key]);
  }

  return result;
};
exports.mapValues = mapValues;