'use strict';

var _classCallCheck = require('babel-runtime/helpers/class-call-check')['default'];

var _interopRequireWildcard = require('babel-runtime/helpers/interop-require-wildcard')['default'];

exports.__esModule = true;

var _flatten = require('../flatten');

var _flatten2 = _interopRequireWildcard(_flatten);

var _resolve$reject = require('../result');

var Atom = (function () {
  function Atom() {
    _classCallCheck(this, Atom);
  }

  Atom.prototype.run = function run(stream, index) {
    throw new Error();
  };

  Atom.prototype.parse = function parse(stream) {
    var result = this.run(String(stream), 0);

    if (result.status) {
      return this._flatten(result.value);
    }

    throw new SyntaxError(result.expected);
  };

  Atom.prototype._flatten = function _flatten(values, named) {
    return _flatten2['default'](values, named);
  };

  Atom.prototype._resolve = function _resolve(index, value) {
    return _resolve$reject.resolve(index, value);
  };

  Atom.prototype._reject = function _reject(index, expected) {
    return _resolve$reject.reject(index, expected);
  };

  return Atom;
})();

exports['default'] = Atom;
module.exports = exports['default'];