'use strict';

var _inherits = require('babel-runtime/helpers/inherits')['default'];

var _classCallCheck = require('babel-runtime/helpers/class-call-check')['default'];

var _interopRequireWildcard = require('babel-runtime/helpers/interop-require-wildcard')['default'];

exports.__esModule = true;

var _Atom2 = require('./base');

var _Atom3 = _interopRequireWildcard(_Atom2);

var _resolve$reject = require('../result');

var Custom = (function (_Atom) {
  function Custom(fn) {
    _classCallCheck(this, Custom);

    _Atom.call(this);
    this._fn = fn(_resolve$reject.resolve, _resolve$reject.reject);
  }

  _inherits(Custom, _Atom);

  Custom.prototype.run = function run(stream, index) {
    return this._fn(stream, index);
  };

  return Custom;
})(_Atom3['default']);

exports['default'] = Custom;
module.exports = exports['default'];