'use strict';

var _inherits = require('babel-runtime/helpers/inherits')['default'];

var _classCallCheck = require('babel-runtime/helpers/class-call-check')['default'];

var _interopRequireWildcard = require('babel-runtime/helpers/interop-require-wildcard')['default'];

exports.__esModule = true;

var _Atom2 = require('./base');

var _Atom3 = _interopRequireWildcard(_Atom2);

var ExprAny = (function (_Atom) {
  function ExprAny() {
    _classCallCheck(this, ExprAny);

    if (_Atom != null) {
      _Atom.apply(this, arguments);
    }
  }

  _inherits(ExprAny, _Atom);

  ExprAny.prototype.run = function run(stream, index) {
    if (index < stream.length) {
      return this._resolve(index + 1, stream.charAt(index));
    }

    return this._reject(index, 'any');
  };

  return ExprAny;
})(_Atom3['default']);

exports['default'] = ExprAny;
module.exports = exports['default'];