'use strict';

var _inherits = require('babel-runtime/helpers/inherits')['default'];

var _classCallCheck = require('babel-runtime/helpers/class-call-check')['default'];

var _interopRequireWildcard = require('babel-runtime/helpers/interop-require-wildcard')['default'];

exports.__esModule = true;

var _Atom2 = require('./base');

var _Atom3 = _interopRequireWildcard(_Atom2);

var ExprStr = (function (_Atom) {
  function ExprStr(string) {
    _classCallCheck(this, ExprStr);

    _Atom.call(this);
    this._string = string;
    this._length = string.length;
  }

  _inherits(ExprStr, _Atom);

  ExprStr.prototype.run = function run(stream, index) {
    if (stream.substr(index, this._length) === this._string) {
      return this._resolve(index + this._length, this._string);
    }

    return this._reject(index, this._string);
  };

  return ExprStr;
})(_Atom3['default']);

exports['default'] = ExprStr;
module.exports = exports['default'];