'use strict';

var _inherits = require('babel-runtime/helpers/inherits')['default'];

var _classCallCheck = require('babel-runtime/helpers/class-call-check')['default'];

var _interopRequireWildcard = require('babel-runtime/helpers/interop-require-wildcard')['default'];

exports.__esModule = true;

var _Atom2 = require('./base');

var _Atom3 = _interopRequireWildcard(_Atom2);

var Lazy = (function (_Atom) {
  function Lazy(fn) {
    _classCallCheck(this, Lazy);

    _Atom.call(this);
    this._fn = fn;
    this._parser = null;
  }

  _inherits(Lazy, _Atom);

  Lazy.prototype.run = function run(stream, index) {
    if (this._parser === null) {
      this._parser = this._fn();
    }

    return this._parser.run(stream, index);
  };

  return Lazy;
})(_Atom3['default']);

exports['default'] = Lazy;
module.exports = exports['default'];