'use strict';

var _inherits = require('babel-runtime/helpers/inherits')['default'];

var _classCallCheck = require('babel-runtime/helpers/class-call-check')['default'];

var _interopRequireWildcard = require('babel-runtime/helpers/interop-require-wildcard')['default'];

exports.__esModule = true;

var _Atom2 = require('./base');

var _Atom3 = _interopRequireWildcard(_Atom2);

var Named = (function (_Atom) {
  function Named(atom, name) {
    _classCallCheck(this, Named);

    _Atom.call(this);
    this._atom = atom;
    this._name = name;
  }

  _inherits(Named, _Atom);

  Named.prototype.run = function run(stream, index) {
    var _value;

    var result = this._atom.run(stream, index);

    if (!result.status) {
      return result;
    }

    var value = (_value = {}, _value[this._name] = this._flatten(result.value, true), _value);

    return this._resolve(result.index, value).aggregate(result);
  };

  return Named;
})(_Atom3['default']);

exports['default'] = Named;
module.exports = exports['default'];